#!/bin/sh

__r__(){
	end="$1"
	for _ in $(seq 1 "$end"); do
		printf '%s' "$2";
	done
}

cd ..

for d in *; do
	cd "$d" || continue

	PULL_LOG=$(script -q /dev/null -c 'git pull')
	if [ "$PULL_LOG" != "$(env printf 'Already up to date.\r\n')" ]; then
		env printf "┌$(__r__ 40 ─)┐\n"
		env printf "│ %-38s │\n" "$d"
		env printf "└$(__r__ 40 '─')┘\n"
		echo "$PULL_LOG"
	fi

	cd ..
done
