#!/bin/sh

__r__(){
	end="$1"
	for _ in $(seq 1 "$end"); do
		printf '%s' "$2";
	done
}

cd ..

for d in *; do
	cd "$d" || continue

	STATUS_LOG=$(script -q /dev/null -c 'git status -s')
	if [ -n "$STATUS_LOG" ]; then
		env printf "┌$(__r__ 40 ─)┐\n"
		env printf "│ %-38s │\n" "$d"
		env printf "└$(__r__ 40 '─')┘\n"
		echo "$STATUS_LOG"
	fi

	cd ..
done
